Skip to main content
GET
/
v1
/
users
/
{user_id}
User Read API
curl --request GET \
  --url 'https://api.askmiso.com/v1/users/{user_id}?api_key='
{
  "message": "success",
  "data": {
    "user_id": "user_1234",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "name": "John Doe",
    "profile_image": "<string>",
    "age": 33,
    "gender": "M",
    "city": "Mountain View",
    "state": "California",
    "country": "US",
    "group_id": "Northwind Corp",
    "description": "Engineer from Northwind Corp",
    "custom_attributes": {
      "acquisition_channel": "Facebook Campaign 2020",
      "declared_interests": [
        "Drama",
        "Romance"
      ]
    }
  }
}

Authorizations

api_key
string
query
required

Your secret API key is used to access every Miso API endpoint. You should secure this key and only use it on a backend server. Never leave this key in your client-side JavaScript code. If the private key is compromised, you can revoke it in Dojo and get a new one.

Specify your secret key in the api_key query parameter. For example:

POST /v1/users?api_key=039c501ac8dfcac91c6f05601cee876e1cc07e17

Path Parameters

user_id
string
required

The ID of the user.

Query Parameters

userId
string
required
Maximum string length: 512

Response

Successful Response

message
string
required

Human-readable message

Example:

"success"

data
UserRecord · object
required